## uos-license-content 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(uos-license-content)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

file(GLOB ENDUSER_AGREEMENT_FILES "protocol/enduser-agreement/*")
file(GLOB PRIVACY_POLICY_FILES "protocol/privacy-policy/*")
file(GLOB USEREXPERIENCE_AGREEMENT_FILES "protocol/userexperience-agreement/*")

install(FILES ${ENDUSER_AGREEMENT_FILES} DESTINATION /usr/share/protocol/enduser-agreement/)
install(FILES ${PRIVACY_POLICY_FILES} DESTINATION /usr/share/protocol/privacy-policy/)
install(FILES ${USEREXPERIENCE_AGREEMENT_FILES} DESTINATION /usr/share/protocol/userexperience-agreement/)

=== debian/changelog ===
uos-license-content (1.1.1-1) unstable; urgency=medium

  * update

 -- uos <uos@uniontech.com>  Sat, 27 Feb 2021 16:22:07 +0800

uos-license-content (1.0.0) unstable; urgency=medium

  * Initial Release.

 -- uos <uos@uniontech.com>  Tue, 25 Aug 2020 15:33:33 +0800

=== debian/control ===
Source: uos-license-content
Section: admin
Priority: optional
Maintainer: uos <uos@uniontech.com>
Build-Depends: debhelper (>= 9),
 cmake
Standards-Version: 3.9.5
Homepage: https://github.com/linuxdeepin/uos-license-content
#Vcs-Browser: https://salsa.debian.org/debian/uos-license-content
#Vcs-Git: https://salsa.debian.org/debian/uos-license-content.git

Package: uos-license-content
Architecture: any
Depends: ${misc:Depends}
Description: protocol files
 Deepin protocol files

## uos-license-content 1.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,11 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
 
+# 增加安全编译参数
+set(SECURITY_COMPILE, "-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_CXX_FLAGS, "${CMAKE_CXX_FLAGS} ${SECURITY_COMPILE}")
+set(CMAKE_C_FLAGS, "${CMAKE_C_FLAGS} ${SECURITY_COMPILE}")
+
 file(GLOB ENDUSER_AGREEMENT_FILES "protocol/enduser-agreement/*")
 file(GLOB PRIVACY_POLICY_FILES "protocol/privacy-policy/*")
 file(GLOB USEREXPERIENCE_AGREEMENT_FILES "protocol/userexperience-agreement/*")

=== debian/changelog ===
uos-license-content (1.1.8-1) unstable; urgency=medium

  * update

 -- uos <uos@uniontech.com>  Mon, 21 Feb 2022 11:21:20 +0800

## uos-license-content 1.1.10

=== debian/changelog ===
uos-license-content (1.1.10-1) unstable; urgency=medium

  * update

 -- uos <uos@uniontech.com>  Sat, 13 Aug 2022 14:15:03 +0800
